> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payingame.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Tokens

This endpoint will return all the tokens that are available for a certain project. These are the tokens you created. Only those tokens where minimal one contract exist will be returned.


## OpenAPI

````yaml GET /Tokens/{YourAPIKEY}/{ProjectGuid}
openapi: 3.1.0
info:
  title: PayInGame Public API
  description: >-
    REST API for accessing games, products, prices, languages, receipts, and
    payments.
  version: 1.0.0
servers:
  - url: https://intern.payingame.io/rest/PayIngame/PublicAPI
security: []
paths:
  /Tokens/{YourAPIKEY}/{ProjectGuid}:
    get:
      summary: Get active tokens for a project
      parameters:
        - name: YourAPIKEY
          in: path
          required: true
          schema:
            type: string
        - name: ProjectGuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of tokens
          content:
            application/json:
              schema:
                type: object
                properties:
                  isError:
                    type: string
                    example: '0'
                  Error:
                    type: string
                    example: ''
                  Data:
                    type: object
                    properties:
                      Tokens:
                        type: array
                        items:
                          type: object
                          properties:
                            Symbol:
                              type: string
                              example: BOLT
                            Guid:
                              type: string
                              format: uuid
                              example: XXXXX-XXXX-XXXX-XXXX-XXXXX
                            Name:
                              type: string
                              example: BOLTS
                            Contracts:
                              type: array
                              items:
                                type: object
                                properties:
                                  ContractGuid:
                                    type: string
                                    format: uuid
                                    example: XXXXX-XXXX-XXXX-XXXX-XXXXX
                                  ChainName:
                                    type: string
                                    example: Ethereum
                example:
                  isError: '0'
                  Error: ''
                  Data:
                    Tokens:
                      - Symbol: BOLT
                        Guid: XXXXX-XXXX-XXXX-XXXX-XXXXX
                        Name: Bolts
                        Contracts:
                          - ChainName: Ethereum
                            ContractGuid: XXXX-XXXXX-XXXXX

````